Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLStructuredDataWriter Class Reference

`#include <vtkXMLStructuredDataWriter.h>`

Inheritance diagram for vtkXMLStructuredDataWriter:

[legend]
Collaboration diagram for vtkXMLStructuredDataWriter:

[legend]
List of all members.

## Detailed Description

Superclass for VTK XML structured data writers.

Date:
  2002/10/16 18:23:07

Revision:
  1.1

vtkXMLStructuredDataWriter provides VTK XML writing functionality that is common among all the structured data formats.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLStructuredDataWriter.cxx)`
  - .`h` (`/IO/vtkXMLStructuredDataWriter.h)`

Definition at line 47 of file vtkXMLStructuredDataWriter.h.

## Public Types
typedef vtkXMLWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetNumberOfPieces (int)
virtual int | GetNumberOfPieces ()
virtual void | SetWriteExtent (int, int, int, int, int, int)
virtual void | SetWriteExtent (int[6])
virtual int * | GetWriteExtent ()
virtual void | GetWriteExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetWriteExtent (int[6])
virtual void | SetExtentTranslator (vtkExtentTranslator *)
virtual vtkExtentTranslator * | GetExtentTranslator ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLStructuredDataWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLStructuredDataWriter ()
| ~vtkXMLStructuredDataWriter ()
virtual void | WritePrimaryElementAttributes ()
virtual void | WriteAppendedPiece (int index, vtkIndent indent)
virtual void | WriteAppendedPieceData (int index)
virtual void | WriteInlinePiece (int index, vtkIndent indent)
virtual void | GetInputExtent (int *extent)=0
int | WriteData ()
void | SetupExtentTranslator ()
virtual void | WriteAppendedMode (vtkIndent indent)
vtkDataArray * | CreateExactExtent (vtkDataArray *array, int *inExtent, int *outExtent, int isPoint)
virtual void | WriteInlineMode (vtkIndent indent)
unsigned int | GetStartTuple (int *extent, int *increments, int i, int j, int k)
vtkDataArray * | CreateArrayForPoints (vtkDataArray *inArray)
vtkDataArray * | CreateArrayForCells (vtkDataArray *inArray)
## Protected Attributes
int | WriteExtent [6]
int | NumberOfPieces
vtkExtentTranslator * | ExtentTranslator
unsigned long ** | PointDataOffsets
unsigned long ** | CellDataOffsets

## Member Typedef Documentation

typedef vtkXMLWriter vtkXMLStructuredDataWriter::Superclass

| Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLImageDataWriter, vtkXMLRectilinearGridWriter, and vtkXMLStructuredGridWriter. Definition at line 50 of file vtkXMLStructuredDataWriter.h.

## Constructor & Destructor Documentation

vtkXMLStructuredDataWriter::vtkXMLStructuredDataWriter | ( |  | ) | `[protected]`

vtkXMLStructuredDataWriter::~vtkXMLStructuredDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLStructuredDataWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLImageDataWriter, vtkXMLRectilinearGridWriter, and vtkXMLStructuredGridWriter.

int vtkXMLStructuredDataWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLImageDataWriter, vtkXMLRectilinearGridWriter, and vtkXMLStructuredGridWriter.

virtual int vtkXMLStructuredDataWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLImageDataWriter, vtkXMLRectilinearGridWriter, and vtkXMLStructuredGridWriter.

vtkXMLStructuredDataWriter* vtkXMLStructuredDataWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLImageDataWriter, vtkXMLRectilinearGridWriter, and vtkXMLStructuredGridWriter.

void vtkXMLStructuredDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLImageDataWriter, vtkXMLRectilinearGridWriter, and vtkXMLStructuredGridWriter.

virtual void vtkXMLStructuredDataWriter::SetNumberOfPieces | ( | int |  | ) | `[virtual]`

| Get/Set the number of pieces used to stream the image through the pipeline while writing to the file.

virtual int vtkXMLStructuredDataWriter::GetNumberOfPieces | ( |  | ) | `[virtual]`

| Get/Set the number of pieces used to stream the image through the pipeline while writing to the file.

virtual void vtkXMLStructuredDataWriter::SetWriteExtent | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Get/Set the extent of the input that should be treated as the WholeExtent in the output file. The default is the WholeExtent of the input.

virtual void vtkXMLStructuredDataWriter::SetWriteExtent | ( | int | [6] | ) | `[virtual]`

| Get/Set the extent of the input that should be treated as the WholeExtent in the output file. The default is the WholeExtent of the input.

virtual int* vtkXMLStructuredDataWriter::GetWriteExtent | ( |  | ) | `[virtual]`

| Get/Set the extent of the input that should be treated as the WholeExtent in the output file. The default is the WholeExtent of the input.

virtual void vtkXMLStructuredDataWriter::GetWriteExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Get/Set the extent of the input that should be treated as the WholeExtent in the output file. The default is the WholeExtent of the input.

virtual void vtkXMLStructuredDataWriter::GetWriteExtent | ( | int | [6] | ) | `[virtual]`

| Get/Set the extent of the input that should be treated as the WholeExtent in the output file. The default is the WholeExtent of the input.

virtual void vtkXMLStructuredDataWriter::SetExtentTranslator | ( | vtkExtentTranslator * |  | ) | `[virtual]`

| Get/Set the extent translator used for streaming.

virtual vtkExtentTranslator* vtkXMLStructuredDataWriter::GetExtentTranslator | ( |  | ) | `[virtual]`

| Get/Set the extent translator used for streaming.

virtual void vtkXMLStructuredDataWriter::WritePrimaryElementAttributes | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLImageDataWriter.

virtual void vtkXMLStructuredDataWriter::WriteAppendedPiece | ( | int | index,
|  | vtkIndent | indent
| ) | `[protected, virtual]`

| Reimplemented in vtkXMLRectilinearGridWriter, and vtkXMLStructuredGridWriter.

virtual void vtkXMLStructuredDataWriter::WriteAppendedPieceData | ( | int | index | ) | `[protected, virtual]`

| Reimplemented in vtkXMLRectilinearGridWriter, and vtkXMLStructuredGridWriter.

virtual void vtkXMLStructuredDataWriter::WriteInlinePiece | ( | int | index,
|  | vtkIndent | indent
| ) | `[protected, virtual]`

| Reimplemented in vtkXMLRectilinearGridWriter, and vtkXMLStructuredGridWriter.

virtual void vtkXMLStructuredDataWriter::GetInputExtent | ( | int * | extent | ) | `[protected, pure virtual]`

| Implemented in vtkXMLImageDataWriter, vtkXMLRectilinearGridWriter, and vtkXMLStructuredGridWriter.

int vtkXMLStructuredDataWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

void vtkXMLStructuredDataWriter::SetupExtentTranslator | ( |  | ) | `[protected]`

virtual void vtkXMLStructuredDataWriter::WriteAppendedMode | ( | vtkIndent | indent | ) | `[protected, virtual]`

| Reimplemented in vtkXMLRectilinearGridWriter, and vtkXMLStructuredGridWriter.

vtkDataArray* vtkXMLStructuredDataWriter::CreateExactExtent | ( | vtkDataArray * | array,
|  | int * | inExtent,
|  | int * | outExtent,
|  | int | isPoint
| ) | `[protected]`

virtual void vtkXMLStructuredDataWriter::WriteInlineMode | ( | vtkIndent | indent | ) | `[protected, virtual]`

unsigned int vtkXMLStructuredDataWriter::GetStartTuple | ( | int * | extent,
|  | int * | increments,
|  | int | i,
|  | int | j,
|  | int | k
| ) | `[protected]`

vtkDataArray* vtkXMLStructuredDataWriter::CreateArrayForPoints | ( | vtkDataArray * | inArray | ) | `[protected, virtual]`

| Reimplemented from vtkXMLWriter.

vtkDataArray* vtkXMLStructuredDataWriter::CreateArrayForCells | ( | vtkDataArray * | inArray | ) | `[protected, virtual]`

| Reimplemented from vtkXMLWriter.

## Member Data Documentation

int vtkXMLStructuredDataWriter::WriteExtent[6]`[protected]`

| Definition at line 100 of file vtkXMLStructuredDataWriter.h.

int vtkXMLStructuredDataWriter::NumberOfPieces`[protected]`

| Definition at line 103 of file vtkXMLStructuredDataWriter.h.

vtkExtentTranslator* vtkXMLStructuredDataWriter::ExtentTranslator`[protected]`

| Definition at line 106 of file vtkXMLStructuredDataWriter.h.

unsigned long** vtkXMLStructuredDataWriter::PointDataOffsets`[protected]`

| Definition at line 109 of file vtkXMLStructuredDataWriter.h.

unsigned long** vtkXMLStructuredDataWriter::CellDataOffsets`[protected]`

| Definition at line 110 of file vtkXMLStructuredDataWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLStructuredDataWriter.h